<template>
  <div id="sdkContainer" class="mapView">
    <div class="mapLenged" v-if="$store.state.showLenged">
      <ul>
        <li v-for="(item, key) in $store.state.setListColor" :key="key">
          <div class="mapcolor" :style="getBackgroundColor(item)"></div>
          <div class="mapTitle">{{ item.name }}</div>
        </li>
      </ul>
    </div>
    <div class="infoBox" v-show="errInfoFlag">
      <div id="inforMessage"></div>
      <div class="infoBottom">
        <button @click="setQueryErroInfo(true)">询问</button>
        <button @click="setQueryErroInfo(false)">关闭</button>
      </div>
    </div> 
    <!-- <!-- <img :src="http://localhost:12315/image/1.jpg" />   -->
    
    <!-- <img :src="$store.state.ImageUrl" style="width:100%;height:50%"> -->
  </div>
</template>

<script>
import configInfo from "../../assets/js/msg/configInfo.js";
import mapView from "./../../assets/js/map/mapView.js";
import bus from "./../../assets/js/bus.js";
import mapServer from "../../assets/js/map/mapServer.js";
export default {
  data() {
    return {
      errInfoMessage: null,
      errInfoFlag: false,
      lengedList: [
        {
          name: "军事目标",
          color: "#73afff"
        },
        {
          name: "政治目标",
          color: "#fffd72"
        },
        {
          name: "经济目标",
          color: "#fabc56"
        },
        {
          name: "社会目标",
          color: "#272424"
        },
        {
          name: "民宅",
          color: "#979696"
        }
      ]
    };
  },
  computed: {
    erroInfo() {
      return this.$store.state.erroInfoMessage;
    }
  },
  watch: {
    erroInfo(nVal, Oval) {
      if (nVal) {
        this.setErrorMessage(nVal);
      }
    }
  },
  methods: {
    getBackgroundColor(res) {
      return `background-color: ${res.color};`
    },
    setMapViewStart() {
      mapView.initMap();

    },
    setErrorMessage(res) {
      this.errInfoMessage = res;
      const obj = configInfo.errorInfo(res);
      document.getElementById("inforMessage").innerHTML = obj;
      this.errInfoFlag = true;
      this.$store.state.erroInfoMessage = null;
    },
    setQueryErroInfo(res) {
      if (res) {
        const obj = JSON.parse(JSON.stringify(this.errInfoMessage));
        bus.$emit("mapInfo", {
          type: "erroInfo",
          value: obj.val
        });

      }
      this.$nextTick(() => {
        this.errInfoFlag = false;
        document.getElementById("inforMessage").innerHTML = "";
        this.errInfoMessage = null;
      });
    }
  },

  mounted() {
    this.setMapViewStart();
  }
};
</script>

<style scoped>
.mapView {
  width: 100%;
  height: 100%;
  position: absolute;
 
}

.mapLenged {
  position: absolute;
  z-index: 40;
  border: 1px solid #808080;
  background: rgba(255, 255, 255, .7);
  padding: 4px;
  bottom: 20px;
  left: 20px;
  border-radius: 10px;
  /* color: gray; */
}

.mapLenged .mapTitle {
  display: flex;
  align-items: center;
  margin-left: 10px;
  font-size: 16px;

}

.mapLenged li {
  list-style-type: none;
  display: flex;
  line-height: 20px;
  margin: 10px;
}

.mapLenged .mapcolor {
  width: 60px;
  height: 30px;
}

.infoBox {
  left: 50%;
  top: 50%;
  position: absolute;
  z-index: 40;
  border-radius: 10px;
  border: 1px solid #797979;
  background-color: #000000;
  box-sizing: border-box;
  padding: 10px;
  font-family: "Arial", sans-serif;
  color: white;
  transform: translate(-50%, -50%);
}

.infoBottom {
  margin-top: 10px;
  float: right;
}

.infoBottom :first-child {
  margin-right: 10px;
}

.infoBottom button {
  width: 50px;

  padding: 2px 2px 2px 2px;
  border-radius: 5px;
  background-color: #797979;
  box-sizing: border-box;
  font-family: "Arial", sans-serif;
  color: #ffffff;
  text-align: center;
  line-height: normal;
  font-size: 12px;
}
</style>
<style>
.infoTitle {
  font-size: 16px;
  line-height: 30px;
}

.infoCount {
  font-size: 14px;
  line-height: 30px;
}
</style>
